import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/access_management/bloc/access_event.dart';
import 'package:syncrow_web/pages/access_management/bloc/access_state.dart';
import 'package:syncrow_web/pages/access_management/model/access_manag_model.dart';
import 'package:syncrow_web/services/access_mang_api.dart';

class AccessBloc extends Bloc<AccessEvent, AccessState> {
  AccessBloc() : super((AccessInitial())) {
    on<FetchTableData>(_onFetchTableData);
  }
  String startTime = 'Start Time';
  String endTime = 'End Time';

  Future<void> _onFetchTableData(
      FetchTableData event, Emitter<AccessState> emit) async {
    try {
      emit(AccessLoaded());
      List<AccessManagModel> data = await AccessMangApi().fetchInfo();
      print('objectwww888888${data[0].accessPeriod}');

      emit(TableLoaded(data));
    } catch (e) {
      emit(FailedState(e.toString()));
    }
  }
}
