import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/access_management/model/access_manag_model.dart';

abstract class AccessState extends Equatable {
  const AccessState();

  @override
  List<Object> get props => [];
}

class AccessInitial extends AccessState {}

class AccessLoaded extends AccessState {}
class FailedState extends AccessState {
  final String message;

  FailedState(this.message);

  @override
  List<Object> get props => [message];
}

class TableLoaded extends AccessState {
  final List<AccessManagModel> data;

  const TableLoaded(this.data);

  @override
  List<Object> get props => [data];
}

